<?php

namespace Modules\Banner\Interfaces;

use Modules\Banner\Models\Banner;

interface BannerRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Banner;
    public function update(array $request, Banner $banner): Banner;
    public function destroy(Banner $banner): void;
    public function destroyAll(array $ids): void;
    public function restore(Banner $banner): void;
    public function restoreAll(array $ids): void;
}
